#pragma once
#include "16KPageView.h"

// C16KPageContainer
#define C16KP_FIRST_PAGE 0
#define C16KP_SECOND_PAGE 1
#define C16KP_NUM_PAGES 2

class C16KPageContainer : public CWnd
{
		DECLARE_DYNAMIC(C16KPageContainer)

		C16KPageView *m_pPage[C16KP_NUM_PAGES];
		CString m_strScrName[C16KP_NUM_PAGES]; //имя окна экрана
		int m_nPageNum[C16KP_NUM_PAGES]; //номер этого объекта, чтобы ID кнопок различались.
		BYTE *m_pBuffer[C16KP_NUM_PAGES]; //указатель на отображаемый буфер в окне экрана
		size_t m_nBufSize[C16KP_NUM_PAGES]; //размер этого буфера

		int m_nNumPages;

	public:
		C16KPageContainer(int nNumPages);
		virtual ~C16KPageContainer();
		void SetBuffer_Param(int nPageNum, BYTE *buffer, size_t size, int num, CString &strName);
		void Draw16KPages();
	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnDestroy();
		DECLARE_MESSAGE_MAP()
};


